import { UmbLitElement } from '../../../core/lit-element/index.js';
export declare class UmbWorkspacePackageBuilderElement extends UmbLitElement {
    #private;
    entityUnique?: string;
    private _package?;
    private _packageNameInput?;
    private _submitState?;
    constructor();
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbWorkspacePackageBuilderElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-workspace-package-builder': UmbWorkspacePackageBuilderElement;
    }
}
